Ability to read multiple works
Status: Closed Start date: 06/15/2020

Priority: Normal Due date:

Assignee: Luke Murphey % Done: 100%

Category: Estimated time: 0.00 hour

Target version: 4.4.0

Description

Subtasks:

Feature # 2785: Wire-up reading selection to open related work in the second reading page Closed
Feature # 2786: Setup styling to loading second work Closed
Feature # 2787: Synchronize position between the two works Closed
Feature # 2788: Add support for closing the second work Closed
Feature # 2817: Synchronize verse clicks between the two works Closed
Feature # 2826: Close second work when the user navigates to a non-related work Closed
Feature # 2829: Test functionality Closed
Feature # 2830: Word dialog for parallel work doesn't work right Closed
Feature # 2832: Add second work to the search URL Closed
History

#1 - 07/10/2020 04:24 AM - Luke Murphey

Qs:

® How do | make loadChapter work with multiple works?
o What can | move down into Chapter?
= data
= |oading
* Where is the logic to show the
e From Reader Where should | fetch the data?
o | thought | should fetch it in the Chapter but this means | need to have the do callbacks to provide the data back to the caller for things like
next and prior chapters. *

Obs:

e | would need an additional chapter reference
o Would need a second data section

Solns:

* Popups don't recognize multiple versus
e loadChapter() doesn't recognize other works
#2 - 07/10/2020 08:21 PM - Luke Murphey

- Target version changed from Plus_1 to 4.4.0

#3 - 07/11/2020 01:22 AM - Luke Murphey

<Icon title={ Close ${secondWorkTitle} } style={{cursor: 'pointer',K fontSize: 13, paddingLeft: 8, verticalAlig
n: 'top' }} inverted={inverted} onClick={ () => this.closeSecondWork () }>&#10005;</Icon>

#4 - 07/13/2020 05:47 AM - Luke Murphey

- Status changed from New to Closed
